Skip to main content
GET
/
data
/
places
Search places
curl --request GET \
  --url https://api.staging.rovemiles.com/functions/v1/data/places \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "placeId": "ChIJu1K2erNv5kcR6HyzBQieKJ0",
      "displayName": "Rome",
      "formattedAddress": "75017 París, Francia",
      "types": [
        "subway_station",
        "transit_station",
        "point_of_interest",
        "establishment"
      ],
      "language": "en"
    },
    {
      "placeId": "ChIJNcQlLHTIzhIRSLrqN9rgv5Q",
      "displayName": "Paris Rome",
      "formattedAddress": "4 Rue de Provence, 75009 Paris, Francia",
      "types": [
        "hotel",
        "lodging",
        "point_of_interest",
        "establishment"
      ],
      "language": "en"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Add your API key to the Authorization header with this format: 'Bearer your_api_key_here'

Query Parameters

textQuery
string
required

Search query for places (e.g., 'Manhattan', 'Eiffel Tower')

Minimum string length: 2
type
enum<string>

Restricts results to places matching the specified type

Available options:
hotel,
resort,
hostel,
apartment,
vacation_rental,
bed_and_breakfast,
inn,
motel,
city,
airport,
restaurant,
attraction,
shopping_mall,
beach,
park,
landmark
language
string
default:en

The language code in which to return results.

Pattern: ^[a-z]{2}(-[A-Z]{2})?$
limit
integer
default:10

Maximum number of results to return.

Required range: 1 <= x <= 20

Response

Successfully retrieved list of places

data
object[]